﻿/*
   control.css
   作者：hbb; 版本：v1.0;
*/

/*控件插件样式 checkBox radio*/

.optBox{display:inline-block; _display:inline;}

.optBox .ckBox,.optBox .rdoBox{ vertical-align:top;}
.ckBox {background-image:url(images/ckbox.png);}
.rdoBox{background-image:url(images/rdobox.png);}
.ckBox,.rdoBox{background-repeat:no-repeat;position:relative ;z-index:1;margin-right:2px;
                 display:inline-block; _display:inline;vertical-align:middle;}
.ckBox input[type="checkbox"],
.rdoBox input[type="radio"]{width:100%;height:100%;padding: 0; margin:0;position:absolute;top:0;left:0;
                                cursor:pointer;opacity:0;filter:alpha(opacity=0);z-index:2;}

/*控件select样式*/
select,div,p,dl,dd,dt{margin:0;padding:0;}
.sltBox{display: inline-block;text-align: left;position: relative;font-size: 12px;}
.sltData{border:1px solid #ddd;padding:7px 26px 7px 4px;height:14px;font:normal 12px/14px "宋体";
         color: #333; cursor: pointer;background:#fff url(images/sltIcon.png) no-repeat right top;}
.sltShow{position: absolute;left: 0;top:30px;width:100%;max-height:260px;background: #fff;display: none;z-index:999;border-bottom:1px solid #ddd; overflow:auto;}
.sltShow dl{border-left:1px solid #ddd;border-right: 1px solid #ddd; list-style: none;}
.sltShow dd{padding:5px 4px;line-height: 16px;border-top: 1px solid #ddd;cursor: pointer;}
.sltShow dd.active,.sltShow dd:hover{background:#f3f4f6;}
.sltShow dd:first-child{border-top:none;}


/*DIY*/
.btnLink .sltData{background-image:url(images/sltIcon1.png);padding:7px 49px 7px 4px;border-color:#e5e5e5;color:#333;}

.warnInfo1{color: red;margin-left: 200px;margin-top: 13px;position: absolute;}
.warnInfo2{color: red;margin-left: 170px;margin-top: 13px;position: absolute;}
.warnInfo3{color: red;margin-left: 230px;margin-top: 13px;position: absolute;}
.warnInfo4{color: red;margin-left: 210px;margin-top: 13px;position: absolute;}